/*

 ThMath Factorial Table
 (c) 2005 Jonathan Bettencourt / Kreative Korporation

 This code is used by ThMath in evaluating Maclaurin series for
 trigonometric, hyperbolic, and logarithmic functions.
 Factorials up to 255! can be looked up. 255! has 505 digits.
 In total, this amounts to about 64K of data and code.
 If this is too much for the platform to handle, remove the larger
 factorials. Here are some good endpoints:

	Num	Digits	Approx Code Size

	63!	88	4K
	95!	149	8K
	127!	214	16K
	191!	355	32K
	255!	505	64K


 This code is under the MIT license.

 Permission is hereby granted, free of charge, to any person obtaining a copy of
 this software and associated documentation files (the "Software"), to deal in the
 Software without restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 Software, and to permit persons to whom the Software is furnished to do so,
 subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies
 or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/

#ifndef _____THMATH_FACTORIALTBL_____
#define _____THMATH_FACTORIALTBL_____

#include <string>
using namespace std;

string th_factorialtable(int);

#endif

